
Figure - Bug #114955
【BSP】【EVT2】【FOTA】板端中断wifi，下载包断开后不会自动重链下载包
2022-12-30 10:25 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-30

Priority: Normal Due date:

Assignee: CD BSP 叶鹏 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212140521

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 需求取消，关闭处理

Description

【前提条件】

1.中控环境搭建好

2.中控环境中有全量包(FTP中文件名为：merged-qssi_figure-ota.zip )

【测试步骤】

2.

3.中控通过网线链接路由，DUT通过wifi 链接路由

4.中控IP：192.168.0.2 ，DUT-IP：192.168.0.18

5.进入终端，cd ~/server/目录，并运行命令

sudo ./run_https.sh

sudo ./run_orch.sh

adb shell logcat > logcat.txt

6.待功能启动

7.选择功能2（Download PACKAGE）

输入"2"->按"回车" ->输入 "1"->输入"update.zip" 

8.等待下载，断开DUT的wifi

9.等待2秒后，重新链接wifi

【期望结果】

8.断开包下载

9.链接wifi，DUT的ip地址正确后，会自动下载FOTA包

【实际结果】

9.链接wifi，DUT的ip地址正确后，不会自动下载FOTA包

History

#1 - 2023-01-04 14:03 - CD BSP 叶鹏 

博世FOTA接口取消

#2 - 2023-01-12 10:35 - CDTS-TEST 周婷

- Status changed from New to CLOSED

- Root cause set to 需求取消，关闭处理
博世fota接口取消，此问题暂时先处理处理
